%{?nodejs_find_provides_and_requires}

%global enable_tests 0

Name:       nodejs-resolve
Version:    1.1.7
Release:    %mkrel 1
Summary:    Resolve like require.resolve() on behalf of files asynchronously/synchronously
License:    MIT
Group:      System/Libraries
URL:        https://github.com/substack/node-resolve
Source0:    https://registry.npmjs.org/resolve/-/resolve-%{version}.tgz

BuildArch:  noarch
BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(tap)
BuildRequires:  npm(tape)
%endif

%description
%{summary}.

%prep
%setup -q -n package

%build
#nothing to do

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/resolve
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/resolve

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
%__nodejs -e "require('./')"
%tap test/*.js
%endif


%files
%doc readme.markdown example/
%license LICENSE
%{nodejs_sitelib}/resolve




%changelog
* Sun May 22 2016 tv <tv> 1.1.7-1.mga6
+ Revision: 1017667
- disable testuite for boostrapping
- new release

* Tue Feb 09 2016 umeabot <umeabot> 0.5.0-3.mga6
+ Revision: 951157
- Mageia 6 Mass Rebuild

* Tue Dec 09 2014 tv <tv> 0.5.0-2.mga5
+ Revision: 802494
- reenable testsuite

* Wed Oct 29 2014 tv <tv> 0.5.0-1.mga5
+ Revision: 794424
- disable tests for bootstrap
- imported package nodejs-resolve

